
Katello - Bug #6373

Can't add Smart Proxy to Katello

06/25/2014 08:32 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Can't mass-assign protected attributes: lifecycle_environment_ids

activemodel (3.2.18) lib/active_model/mass_assignment_security/sanitizer.rb:48:in `process_removed

_attributes'

activemodel (3.2.18) lib/active_model/mass_assignment_security/sanitizer.rb:20:in `debug_protected

_attribute_removal'

activemodel (3.2.18) lib/active_model/mass_assignment_security/sanitizer.rb:12:in `sanitize'

activemodel (3.2.18) lib/active_model/mass_assignment_security.rb:230:in `sanitize_for_mass_assign

ment'

activerecord (3.2.18) lib/active_record/attribute_assignment.rb:75:in `assign_attributes'

activerecord (3.2.18) lib/active_record/base.rb:498:in `initialize'

app/controllers/smart_proxies_controller.rb:15:in `new'

app/controllers/smart_proxies_controller.rb:15:in `create'

actionpack (3.2.18) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

actionpack (3.2.18) lib/abstract_controller/base.rb:167:in `process_action'

actionpack (3.2.18) lib/action_controller/metal/rendering.rb:10:in `process_action'

actionpack (3.2.18) lib/abstract_controller/callbacks.rb:18:in `block in process_action'

activesupport (3.2.18) lib/active_support/callbacks.rb:527:in `block (3 levels) in _run__137343934

9354969545__process_action__3190677162315304940__callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_3452'

activesupport (3.2.18) lib/active_support/callbacks.rb:326:in `around'

activesupport (3.2.18) lib/active_support/callbacks.rb:310:in `_callback_around_2898'

activesupport (3.2.18) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_3452'

activesupport (3.2.18) lib/active_support/callbacks.rb:526:in `block (2 levels) in _run__137343934

9354969545__process_action__3190677162315304940__callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_3451'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

activesupport (3.2.18) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_3451'

activesupport (3.2.18) lib/active_support/callbacks.rb:415:in `block in _run__1373439349354969545_

_process_action__3190677162315304940__callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:215:in `block in _conditional_callback_arou

nd_3450'

activesupport (3.2.18) lib/active_support/callbacks.rb:326:in `around'

activesupport (3.2.18) lib/active_support/callbacks.rb:310:in `_callback_around_13'

activesupport (3.2.18) lib/active_support/callbacks.rb:214:in `_conditional_callback_around_3450'

activesupport (3.2.18) lib/active_support/callbacks.rb:414:in `_run__1373439349354969545__process_

action__3190677162315304940__callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.18) lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.18) lib/abstract_controller/callbacks.rb:17:in `process_action'

actionpack (3.2.18) lib/action_controller/metal/rescue.rb:29:in `process_action'

actionpack (3.2.18) lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'

activesupport (3.2.18) lib/active_support/notifications.rb:123:in `block in instrument'
activesupport (3.2.18) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

activesupport (3.2.18) lib/active_support/notifications.rb:123:in `instrument'

actionpack (3.2.18) lib/action_controller/metal/instrumentation.rb:29:in `process_action'

actionpack (3.2.18) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

activerecord (3.2.18) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (3.2.18) lib/abstract_controller/base.rb:121:in `process'

actionpack (3.2.18) lib/abstract_controller/rendering.rb:45:in `process'

actionpack (3.2.18) lib/action_controller/metal.rb:203:in `dispatch'

actionpack (3.2.18) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

actionpack (3.2.18) lib/action_controller/metal.rb:246:in `block in action'

actionpack (3.2.18) lib/action_dispatch/routing/route_set.rb:73:in `call'

actionpack (3.2.18) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

actionpack (3.2.18) lib/action_dispatch/routing/route_set.rb:36:in `call'

journey (1.0.4) lib/journey/router.rb:68:in `block in call'

journey (1.0.4) lib/journey/router.rb:56:in `each'

journey (1.0.4) lib/journey/router.rb:56:in `call'

actionpack (3.2.18) lib/action_dispatch/routing/route_set.rb:608:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/static.rb:63:in `call'

apipie-rails (0.1.3) lib/apipie/static_dispatcher.rb:65:in `call'

rack-openid (1.4.2) lib/rack/openid.rb:98:in `call'

apipie-rails (0.1.3) lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.5) lib/rack/etag.rb:23:in `call'

rack (1.4.5) lib/rack/conditionalget.rb:35:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

rack (1.4.5) lib/rack/session/abstract/id.rb:205:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/cookies.rb:341:in `call'

activerecord (3.2.18) lib/active_record/query_cache.rb:64:in `call'

activerecord (3.2.18) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `ca

ll'

actionpack (3.2.18) lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

activesupport (3.2.18) lib/active_support/callbacks.rb:405:in `_run__1618756248015901553__call__14

71177907798411388__callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.18) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

activesupport (3.2.18) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.18) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/reloader.rb:65:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/home/cloud-user/katello/lib/katello/middleware/silenced_logger.rb:30:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.5) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.18) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.5) lib/rack/lock.rb:15:in `call'

actionpack (3.2.18) lib/action_dispatch/middleware/static.rb:63:in `call'

railties (3.2.18) lib/rails/engine.rb:484:in `call'

railties (3.2.18) lib/rails/application.rb:231:in `call'

railties (3.2.18) lib/rails/railtie/configurable.rb:30:in `method_missing'

rack (1.4.5) lib/rack/builder.rb:134:in `call'

rack (1.4.5) lib/rack/urlmap.rb:64:in `block in call'

rack (1.4.5) lib/rack/urlmap.rb:49:in `each'

rack (1.4.5) lib/rack/urlmap.rb:49:in `call'

rack (1.4.5) lib/rack/content_length.rb:14:in `call'

railties (3.2.18) lib/rails/rack/log_tailer.rb:17:in `call'

puma (2.8.2) lib/puma/server.rb:490:in `handle_request'

puma (2.8.2) lib/puma/server.rb:361:in `process_client'

puma (2.8.2) lib/puma/server.rb:254:in `block in run'

puma (2.8.2) lib/puma/thread_pool.rb:92:in `call'

puma (2.8.2) lib/puma/thread_pool.rb:92:in `block in spawn_thread'

logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Associated revisions

Revision a9146bad - 07/01/2014 08:43 AM - Stephen Benjamin

fixes #6373 - make lifecycle_environment_ids accessible

Smart Proxies can now have lifecycle environments, but when adding a Smart

Proxy through the UI, it fails with a mass assignment error.

Revision 9d13d622 - 07/07/2014 05:59 PM - Justin Sherrill

Merge pull request #4339 from stbenjam/6373-proxy-environments

fixes #6373 - make lifecycle_environment_ids accessible

History

#1 - 06/25/2014 09:10 AM - Stephen Benjamin

So, is this the right way to solve the problem? 

https://github.com/Katello/katello/pull/4339

#2 - 06/25/2014 12:24 PM - Eric Helms

- Assignee set to Stephen Benjamin

- Target version set to 48

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 07/07/2014 07:48 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/07/2014 06:03 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a9146bad31bd79e2006b491739eb8e340138ff98.

#5 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
